Skip to main content
GET
List Users

Introduction

Notes:
  1. Fields that are disabled or restricted will not be returned.
  2. Archived users are NOT returned by default.

Usage

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

expand[]
string[]

Fields to expand into full objects. Example: ?expand[]=assignee_admin&expand[]=tags

Free-text search across name and email addresses.

email_in[]
string[]

Filter by User's work emails.

personal_email_in[]
string[]

Filter by User's personal email.

status_in[]
enum<string>[]

Filter by User's status.

Available options:
alumni,
employee,
external,
hired
role_in[]
enum<string>[]

Filter by User's role.

Available options:
owner,
admin,
it,
hr,
ops,
finance,
custom,
user
employee_number_eq
string

Only returns users with matcher employee_number.

team_uid
string

Only returns members of the Team with this UID, or users in no Team with none.

department_uid
string

Only returns members of the Department with this UID, or users in no Department with none.

office_location_uid
string

Only returns members of the Office Location with this UID, or users in no Office Location with none.

Only returns members of the Legal Entity with this UID, or users in no Legal Entity with none.

include_archived
boolean
default:false

Whether the response should include archived users.

created_after
string<date-time>

Filter Users created after a DateTime (ISO 8601).

created_before
string<date-time>

Filter Users created before a DateTime (ISO 8601).

updated_after
string<date-time>

Filter Users updated after a DateTime (ISO 8601).

updated_before
string<date-time>

Filter Users updated before a DateTime (ISO 8601).

metadata
object

Filter by exact metadata key/value pairs (e.g. ?metadata[environment]=production). Several pairs combine with AND.

page
integer

The current page

per_page
integer

Number of results retrieved per page.

Response

Successful

meta
object
results
object[]